> ## Documentation Index
> Fetch the complete documentation index at: https://api-tools.memories.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Person

> Update a person

<Info>
  **Product**: Video Datalake
  **Host**: `https://api.memories.ai/datalake/v1`
  **Auth**: `Authorization: sk-mai-...`
</Info>

Change a person's `name` or `metadata`.

<Note>
  **Pricing:** Free — management / read (no charge). · See [Pricing](/datalake/pricing) for the full model.
</Note>

## Response Fields

<ResponseField name="person_id" type="string">Person ID.</ResponseField>


## OpenAPI

````yaml PATCH /datalake/v1/persons/{id}
openapi: 3.1.0
info:
  title: Memories.ai DataLake API 2.0
  version: 2026-08
  description: OpenAPI mapping used by Mintlify Try it for the DataLake API 2.0 docs.
servers:
  - url: https://api.memories.ai
security:
  - ApiKeyAuth: []
paths:
  /datalake/v1/persons/{id}:
    patch:
      tags:
        - Persons (Face Library)
      summary: Update a person
      description: Change a person's `name` or `metadata`.
      operationId: update_person
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Person ID.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                metadata:
                  type: object
              example:
                name: Alice B.
      responses:
        '200':
          description: Success
          content:
            application/json:
              example:
                person_id: per_xxx
                name: Alice B.
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Send `Authorization: sk-mai-...`'

````